Skip to main content
Resource Center/Elastic Bare Metal Management(Plus)

GetAccessPath

GetAccessPath

GET/zstack/v1/block-volumes/access/path/

Operation ID

GetAccessPath

Since

4.7.11

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

  • primaryStorageUuid
    StringRequired

    The primary storage UUID.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    Whether the operation succeeded.

  • inventory
    VolumeInventoryRequired

    See pathInfos.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • name
    StringRequired

    The resource name.

  • accessPathId
    StringRequired

    The access path id.

  • accessPathIqn
    StringRequired

    The access path iqn.

  • targetCount
    IntegerRequired

    The target count.

  • gatewayIps
    ListRequired

    The gateway IPs.

  • Change Time

    AddedResponse fields accessPathId, accessPathIqn, gatewayIps...
    View API